%global momorel 1
%global qtdir %{_libdir}/qt3
%global qtver 3.3.4
%global kdedir /usr
%global kdever 3.4.1
%global kderel 1m
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src

Name: kdemultimedia
Summary: Multimedia applications for the K Desktop Environment (KDE).
Version: %{kdever}
Release: %{momorel}m
Group: Applications/Multimedia
License: GPL
URL: http://www.kde.org/areas/multimedia/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{kdever}.tar.bz2 db69c9ab845c8295f095dc6394fba047
# Mirror site in Japan
#%%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{kdever}.tar.bz2 db69c9ab845c8295f095dc6394fba047
Patch0: %{name}-3.4.0-nokdelibsuff.patch
Patch1: %{name}-3.4.0-x86_64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: aktion
Requires: kdebase >= %{kdever}
Requires: TiMidity++
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, kdebase >= %{kdever}
BuildPreReq: audiofile-devel >= 0.2.1, libpng-devel >= 1.2.0, libvorbis-devel >= 1.0-2m
BuildPreReq: alsa-lib-devel, libjpeg-devel, libmng-devel
BuildPreReq: cdparanoia-devel
BuildPreReq: autoconf >= 2.56-3m
BuildPreReq: perl
BuildPreReq: xine-lib >= 1.0-0.21.2m
BuildPreReq: coreutils >= 5.0-1m
BuildPreReq: flac-devel >= 1.1.1
BuildPreReq: taglib-devel >= 1.3-2m
BuildPreReq: glibc-kernheaders
BuildPreReq: lame-devel
BuildPreReq: rpm >= 4.0.4-6k
ExcludeArch: ia64

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdemultimedia package contains multimedia applications for
KDE,including 

  juk, a jukebox and music manager for the KDE
  kmid, a midi player
  kmix, a mixer
  arts, additional functionality for the aRts sound system
  kaboodle, a media player
  noatun, a media player
  krec, a recording tool
  kscd, a Audio-CD player
  kaudiocreator, a graphical frontend for audio file creation 

%prep
%setup -q
%patch0 -p1 -b .nokdelibsuff
%patch1 -p1 -b .x86_64

# workaround for automake/autoconf version
perl -p -i -e "s|KDE_AUTOCONF_VERS=\"|KDE_AUTOCONF_VERS=\"-2.59 |g" admin/detect-autoconf.sh
perl -p -i -e "s|KDE_AUTOMAKE_VERS=\"|KDE_AUTOMAKE_VERS=\"-1.9|g" admin/detect-autoconf.sh

make -f admin/Makefile.common cvs
perl -p -i -e "s|-ansi||g" configure

%build
## FIX ME!
## In kernel-2.4.27, mpeglib fails to build...
# export DO_NOT_COMPILE="mpeglib mpeglib_artsplug mpg123_artsplugin"

FLAGS="%{optflags} -DNDEBUG"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

export CFLAGS="$CFLAGS `artsc-config --cflags`"
export CXXFLAGS="$CXXFLAGS `artsc-config --cflags`"
export CPPFLAGS="$CPPFLAGS `artsc-config --cflags`"
export LDFLAGS="$LDFLAGS `artsc-config --libs`"

./configure --prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--sysconfdir=%{_sysconfdir} \
	--disable-motif \
	--disable-debug \
	--enable-final

%make

LANG=C make -C doc

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make DESTDIR=%{buildroot} install
make -C doc DESTDIR=%{buildroot} install

# KOnCD configuration...
mkdir -p %{buildroot}%{_datadir}/config
cat >%{buildroot}%{_datadir}/config/koncdrc <<EOF
[Program paths]
cdrdao_path=/usr/bin/cdrdao
cdrecord_path=/usr/bin/cdrecord
mkisofs_path=/usr/bin/mkisofs
readcd_path=/usr/bin/readcd
EOF

# don't make these world-writeable
chmod go-w %{buildroot}/%{_datadir}/apps/kscd/*

# remove /usr/bin/timidity Requires TiMidity++
rm -f %{buildroot}%{_bindir}/timidity

# Make symlinks relative
cd %{buildroot}/%{_docdir}/HTML/en
for i in *; do
  if [ -e $i/common ]; then
	rm -f $i/common
	ln -sf ../common $i
  fi
done

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_sysconfdir}/xdg/menus/applications-merged/kde-multimedia-music.menu
%{_bindir}/*
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/mcop/Arts/*
%{_libdir}/mcop/Noatun
%{_libdir}/mcop/*.mcopclass
%{_libdir}/mcop/*.mcoptype
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.??*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/artsbuilder
%{_datadir}/apps/artscontrol
%{_datadir}/apps/juk
%{_datadir}/apps/kaboodle
%{_datadir}/apps/kappfinder/apps/Multimedia/*.desktop
%{_datadir}/apps/kaudiocreator
%{_datadir}/apps/kconf_update/* 
%{_datadir}/apps/kicker/applets/*.desktop
%{_datadir}/apps/kmid
%{_datadir}/apps/kmix
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/krec
%{_datadir}/apps/kscd
%{_datadir}/apps/noatun
%{_datadir}/apps/profiles/*
%{_datadir}/apps/videothumbnail
%{_datadir}/autostart/restore_kmix_volumes.desktop
%{_datadir}/config/koncdrc
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/en/artsbuilder
%{_datadir}/doc/HTML/en/juk
%{_datadir}/doc/HTML/en/kaboodle
%{_datadir}/doc/HTML/en/kcontrol/kmixcfg
%{_datadir}/doc/HTML/en/kio_audiocd
%{_datadir}/doc/HTML/en/kmid
%{_datadir}/doc/HTML/en/kmix
%{_datadir}/doc/HTML/en/krec
%{_datadir}/doc/HTML/en/kscd
%{_datadir}/doc/HTML/en/noatun
%{_datadir}/desktop-directories/kde-multimedia-music.directory
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svg
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/services/*
%{_datadir}/servicetypes/*.desktop

%{_includedir}/akode
%{_includedir}/arts/*
%{_includedir}/mpeglib
%{_includedir}/mpeglib_artsplug
%{_includedir}/libkcddb
%{_includedir}/noatun
%{_includedir}/*.h
%{_libdir}/*.so.?

%changelog
* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- modify %%files section

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.
- enable x86_64.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- BuildPreReq: alsa-lib-devel, libjpeg-devel, libmng-devel, 
- BuildPreReq: kdebase, cdparanoia-devel

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (3.3.2-3m)
- rebuild with lame.

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Mon Dec 06 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.3.1-3m)
- comment out Requires: TiMidity++

* Sat Nov 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.1-2m)
- rebuild against flac 1.1.1

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0
- Notice: In kernel-2.4.{25,26,27} environment, mpeglibs/lib/input fails to build. Build this package in kernel-2.6.x environment now.

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- following patches are removed (not appliable)
- - Patch2: kdemultimedia-2.1-glibc-2.2.2.patch
- - Patch6: kdemultimedia-2.1-wav2pat-build.patch
- use xine_artsplugin in tarball (maybe this is new enough)
- add BuildPreReq: flac-devel and taglib-devel
- modified %%files (many new files)

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Sat Dec 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Sat Oct  4 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- refine %%files 

* Sat Oct  4 2003 Toru Hoshina <t@momonga-linux.org>
- (3.1.4-1m)
- kaboodle cannot build.

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- changes are:
     Ogg Vorbis Info List view column titles were incorrect.
     kmix: Vertical label widget to sliders in replacement of large horizontal labels
     kmix: Fixed alsa 0.9x to restore current volumes
     kmix: Fixed multiple alsa 0.9x cards detection
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m

* Sun May 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-4m)
- export _POSIX2_VERSION=199209

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    KsCD: 
      Stopped KsCD from pausing after tracks in random mode
      Correctly associate extra CDDB information with tracks
      Support non-Latin encodings properly in CDDB entries and elsewhere
      Proper systemtray behaviour
      Updated key accel code to avoid depricated calls
    Movie previews have been removed due to severe unresolved stability problems

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-7m)
- add URL

* Fri Feb 28 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.1-6m)
- --without-lame

* Wed Feb 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1-5m)
- undef __STRICT_ANSI__

* Fri Feb 21 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-4m)
- avoid conflict reported by Ichiro Nakai([Momonga-devel.ja:01420])

* Tue Feb 18 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-3m)
- add xine_artsplugin -- Thank you, exp (Shingo TAKEDA).

* Sun Feb 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1-2m)
- del BuildPreReq: lame (lame is Nonfree)
- add BuildPreReq: xine-lib(sorry... not yet compiled.)

* Sun Feb  2 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Mon Jan 20 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-2m)
- rebuild against kdelibs-3.0.5a-2m.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Sun Dec  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Wed Aug 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.3-2m)
- rebuild against kdelibs-3.0.3-2m

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Sun Jul 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.2-4m)
- please rebuild with REMOVE.PLEASE

* Sat Jul 20 2002 kourin <kourin@momonga-linux.org>
- (3.0.2-3m)
- add libvorbis-devel >= 1.0-2m

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.
- use autoconf from autoconf-old.

* Sun Jun 09 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.0.0-8k)
- cancel gcc-3.1 autoconf-2.53

* Sat May 25 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-6k)
  applied gcc 3.1 patch
  
* Sun Apr 28 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.0-4k)
- enable build koncd.

* Thu Apr  4 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (2.2.2-4k)
- just rebuild for .la fix

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec file.

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (2.1.1-5k)
- rebuild against audiofile-0.2.1.

* Fri Mar 30 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.1.1-3k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-20k)
- rebuild against QT-2.3.0.

* Tue Jan 16 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-18k]
- backport 2.0.1-19k(Jirai).

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-16k]
- backport 2.0.1-17k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-14k]
- backport 2.0.1-15k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-15k]
- modifined Obsoletes tag.(remove TiMidity++).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-12k]
- backport 2.0.1-13k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-13k]
- rebuild against.

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-11k]
- rebuild against audiofile-0.2.0.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-9k]
- rebuild against qt-2.2.3.

* Tue Dec 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- add kdemultimudia-2.0.1-kaiman-kondara.patch.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-0.4k]
- rebuild against new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-0.3k]
- rebuild against qt 2.2.2.

* Fri Oct 20 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.2k]
- modifile Requires,BuildPrereq.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- update 2.0rc2.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.
- add kdemultimedia-1.94-kscd-20000924.diff

* Tue Sep 26 2000 Kenichi Matsubara <m@kondara.org>
- update 1.94.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Tue Jun 20 2000 Kenichi Matsubara <m@kondara.org>
- initial release Kondara MNU/Linux.
